<template>
  <div class="faq">
    <div class="faq__container container">
      <img src="" alt="" />
      <h1 class="faq__title">
        Guide for Beginners: from registration to first trade
      </h1>
      <p class="faq__subtitle">
        TBCC.COM is a centralised cryptocurrency exchange powered by Binance
        Cloud. It has its own token TBCC and offers 450+ cryptocurrencies for
        trading with low fees and fast transactions without passing KYC up to
        2BTC.
      </p>
      <p class="faq__subtitle">
        The user-friendly and intuitive interface guides you from registration
        to first trade in just a few minutes. Follow these 3 simple steps to buy
        TBCC tokens or other cryptocurrencies.
      </p>
      <div class="faq__content content">
        <div class="content__item">
          <span>Step 1: Register</span>
          <p class="content__item-text">
            1. Visit
            <a href="https://www.tbcc.com/" target="_blank">tbcc.com</a> and
            click the <span>Register</span> button at the upper right.
          </p>
          <img src="" alt="" />
          <p class="content__item-text">
            2. <span>Enter the information</span> required, such as your email
            address, set a strong password on your account, and enter the
            referral ID (optional) for a 0% commission kickback rate.
          </p>
          <img src="" alt="" />
          <p class="content__item-text">
            3. Click the circle in front of
            <span>“I have read and I agree to terms of use”</span> and then the
            button <span>Register</span>.
          </p>
          <p class="content__item-text">
            4. Your email address will be used to send you a confirmation code.
            Enter the code to finish registration.
          </p>
        </div>
        <div class="content__item">
          <span>Step 2: Deposit</span>
          <p class="content__item-text content__item-subtitle">
            Deposit means to transfer crypto from wallets or accounts on other
            platforms to the TBCC exchange wallet
          </p>
          <p class="content__item-text">
            1. On the Home screen, click <span>Wallet → Deposit</span>.
          </p>
          <img src="" alt="" />
          <p class="content__item-text">
            2. <span>Select crypto</span> (e.g. we’ll be using USDT as an
            illustration) →
            <span
              >Select USDT deposit network* → Copy the deposit address or Use QR
              code</span
            >
          </p>
          <img src="" alt="" />
          <p class="content__item-text">
            * keep consistent between the networks
          </p>
          <p class="content__item-text"><span>NOTES:</span></p>
          <p class="content__item-text">
            Send only the selected cryptocurrency to this deposit address
          </p>
          <p class="content__item-text">
            Sending tokens other than the selected cryptocurrency to this
            address may result in the loss of your deposit.
          </p>
          <p class="content__item-text">
            3. Deposit USDT to your TBCC exchange wallet from an external wallet
            address using the deposit address.
          </p>
          <p class="content__item-text">
            4. After confirming the deposit request, the transfer will be
            processed. The funds will be credited to your TBCC account shortly
            after.
          </p>
        </div>
        <div class="content__item">
          <span>Step 3: Trading</span>
          <p class="content__item-text content__item-subtitle">
            The TBCC offers more than 1,000 currency pairs for trading. How to
            buy TBCC or another crypto?
          </p>
          <p class="content__item-text">
            1. Click on <span>Markets</span> at the top of the screen → choose a
            <span>trading pair</span>, e.g.TBCC/USDT.
          </p>
          <img src="" alt="" />
          <p class="content__item-text">
            2. Click on <span>Exchange</span> at the top of the screen → fill in
            the <span>purchase form →</span> click
            <a href="https://www.tbcc.com/" target="_blank">Buy TBCC</a>.
          </p>
          <img src="" alt="" />
          <p class="content__item-text content__item-subtitle">
            Have a successful trade!
          </p>
        </div>
      </div>
      <div class="faq__list list">
        <p class="list__title">Learn to trade efficiently:</p>
        <div class="list__wrap">
          <nuxt-link class="list__link arrow-link" :to="localePath('/faq/how-to-change-email')"
            >How to Change Account Email?</nuxt-link
          >
          <nuxt-link
            class="list__link arrow-link"
            :to="localePath('/faq/how-to-stake')"
            >How to stake?</nuxt-link
          >
          <nuxt-link class="list__link arrow-link" :to="localePath('/faq/how-to-reset-password')"
            >How to Reset the Password?</nuxt-link
          >
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  head() {
    return {
      title: 'TBCC | FAQ',
      link: [
        {
          rel: 'canonical',
          href: `https://tbcctoken.com/faq/${this.$route.path}`,
        },
      ],
    }
  },
}
</script>

<style lang="scss" scoped>
.faq {
  background: linear-gradient(169deg, #1f0c71 27.28%, #041344 67.8%);
  position: relative;
  z-index: 1;

  @media (min-width: 768px) {
    &::after {
      content: '';
      width: 1798px;
      height: 715px;
      background-image: url('../../assets/img/stones@2x.png');
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      bottom: -20px;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }

  &__container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 120px;
  }

  &__title {
    font-size: 42px;
    line-height: 52px;
    text-align: center;
    color: white;
    max-width: 630px;
    margin: 0 0 25px;
    font-weight: 500;

    @media (max-width: 767px) {
      font-size: 30px;
      line-height: 37px;
      text-align: center;
      max-width: 300px;
    }
  }

  &__subtitle {
    max-width: 640px;
    font-size: 18px;
    line-height: 28px;
    text-align: center;
    color: #ffffff;
    margin: 0 0 25px;

    @media (max-width: 767px) {
      font-size: 16px;
      line-height: 24px;
      max-width: 330px;
    }
  }

  &__content {
    display: flex;
    flex-direction: column;
    margin-bottom: 84px;
  }
}

.content {
  max-width: 830px;
  width: 100%;

  @media (max-width: 767px) {
    max-width: 316px;
  }

  &__item {
    display: flex;
    flex-direction: column;

    &:not(:last-child) {
      margin-bottom: 30px;
    }

    & > span {
      font-weight: 500;
      font-size: 28px;
      line-height: 34px;
      color: white;
      margin: 0 0 20px;
      display: inline-block;

      @media (max-width: 767px) {
        font-size: 22px;
        line-height: 27px;
      }
    }
  }

  &__item-text {
    font-size: 16px;
    line-height: 24px;
    color: #6983ab;
    margin: 0 0 30px;

    a {
      color: #66b6ff;
    }

    span {
      font-weight: 500;
    }
  }

  &__item-subtitle {
    color: white;
    text-align: center;
    max-width: 590px;
    align-self: center;
    font-size: 18px;
    line-height: 28px;

    @media (max-width: 767px) {
      font-size: 16px;
      line-height: 24px;
      max-width: 330px;
    }
  }
}

.list {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 830px;
  width: 100%;
  margin-bottom: 140px;

  @media (max-width: 767px) {
    margin-bottom: 30px;
  }

  &__title {
    font-weight: 500;
    font-size: 28px;
    line-height: 34px;
    text-align: center;
    color: #ffffff;
    margin: 0 0 50px;
  }

  &__wrap {
    display: flex;
    width: 100%;

    @media (max-width: 767px) {
      flex-direction: column;
      max-width: 316px;
    }
  }

  &__link {
    text-transform: none;
    font-size: 22px;
    line-height: 26px;
    color: #ffffff99;
    font-weight: 300;

    &:not(:last-child) {
      @media (min-width: 768px) {
        margin-right: 30px;
      }
    }

    @media (max-width: 767px) {
      margin-right: auto;
      padding-top: 40px;
      padding-bottom: 40px;
      border-bottom: 1px solid #18265b;
      width: 100%;

      &:last-child {
        border-bottom: none;
      }
    }
  }
}
</style>
